set i /1*2/,
    j /1*3/;
alias (j1,j);

parameter 
A(i,j) /
        1 .1 1.0
        1 .2 1.0
        1 .3 1.0
        2 .1 -1.0
        2 .3 1.0 /,
b(i) /
        1 1.0
        2 1.0 /
c(j) /
        1 2.0 /;

variable obj;
integer variable x(j);

equation cost, dual(i);

cost.. obj =e= sum(j,c(j)*x(j));
dual(i)..   sum(j, A(i,j)*x(j)) =e= b(i);

model mipmod /cost,dual/;

$if exist matdata.gms $include matdata.gms

solve mipmod using mip minimizing obj;

scalar modelstatus;
modelstatus = mipmod.modelstat;

$libinclude matout x.l J
$libinclude matout modelstatus
